Bug 476406 - Review Request: sympow - Special Values of Symmetric Power Elliptic Curve L-Functions
Review Request: sympow - Special Values of Symmetric Power Elliptic Curve L-F...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 05:00 EST by Conrad Meyer
Modified: 2009-03-18 01:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 01:59:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-14 05:00:39 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/sympow.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/sympow-1.019-1.fc9.src.rpm
Description:
SYMPOW is a program for computing special values of symmetric power
elliptic curve L-functions.
Comment 1 Conrad Meyer 2008-12-14 05:02:39 EST
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=997706
Comment 2 Conrad Meyer 2008-12-14 18:45:45 EST
New URLs:

http://konradm.fedorapeople.org/fedora/SPECS/sympow.spec
http://konradm.fedorapeople.org/fedora/SRPMS/sympow-1.019-2.fc9.src.rpm

I just fixed the launcher script to be multilibs-safe.
Comment 3 Jason Tibbitts 2009-03-08 21:07:30 EDT
I don't believe the license of this package is actually BSD; at least, it's not a BSD variant I've seen before.  The third clause is different to me:

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
  * Redistribution of source code must retain the above copyright notice,
 this list of conditions and the following disclaimer.
  * Redistribution in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
 documentation and/or other materials provided with the distribution.
  * If redistribution is done as a part of a compilation that has a more
 restrictive license (such as the GPL), then the fact that SYMPOW has
 a less restrictive license must be made clear to the recipient.
 For example, a line like (include bracketed text if SYMPOW is modified):
  "This compilation includes [a modification of] SYMPOW whose [original]
   code has a less-restrictive license than the entire compilation."
 should appear in a suitable place in the COPYING and/or LICENSE file.

Blocking FE-Legal for an opinion.  I wonder if the third clause might actually render the software GPL-incompatible.  And even then, I'd have to leave it to a lawyer to determine what "more restrictive" really means.
Comment 4 Tom "spot" Callaway 2009-03-12 12:15:42 EDT
Nah, just an odd BSD variant. Free and GPL compatible. Lifting FE-Legal.
Comment 5 Jason Tibbitts 2009-03-13 02:04:27 EDT
* source files match upstream.  sha256sum:
   9ddc9eb6a1c456c39bd893a01f26cc5ad29826a2daa21ebae2816fe3d0eaa215  
   sympow.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   sympow = 1.019-2.fc11
   sympow(x86-64) = 1.019-2.fc11
  =
   /bin/sh

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 6 Conrad Meyer 2009-03-13 02:10:45 EDT
Thanks!

New Package CVS Request
=======================
Package Name: sympow
Short Description: Special Values of Symmetric Power Elliptic Curve L-Functions
Owners: konradm
Branches: F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-03-15 22:09:24 EDT
cvs done.
Comment 8 Conrad Meyer 2009-03-18 01:59:48 EDT
Built in koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1247321

Note You need to log in before you can comment on or make changes to this bug.